Last updated

Norce Commerce Order v1.1 service

Version: 1.1

The Orders namespace has Entities and Operations used for orders and other related Entities such as DeliveryNotes and Invoices. This namespace has nothing to do with the Checkout process where orders are created, but is more related to order history shown on pages like MyPage and such. The Order history is mostly a snapshot view of the orders as they looked when they got created in Norce, unless process integrations exists where DeliveryNotes and Invoices are passed to Norce.

Base URLs

  • https://{slug}.api-se.playground.norce.tech/commerce - Playground
  • https://{slug}.api-se.stage.norce.tech/commerce - Stage
  • https://{slug}.api-se.norce.tech/commerce - Production

Authentication

Bearer

  • Type: apiKey
  • Description: JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

ApplicationId

  • Type: apiKey
  • Description: ApplicationId header required for all requests.

Endpoints

POST /order/1.1/UpdateDeliveryNotePackage

Update a delivery note package status

Updates a DeliveryNotePackage.

Parameters

  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Request Body

The DeliveryNotePackage to update. The DeliveryNotePackage must have and Id and Status defined or an exception will be raised.

Content-Type: application/json

Schema: DeliveryNotePackage

Responses

200

Success


GET /order/1.1/ListOrderInfoTypes

List order info types

Lists the info type ids used in the info property of an order. Same fields are used in DeliveryNote and Invoice.

Parameters

  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: Array of IdValue


GET /order/1.1/ListOrderItemInfoTypes

List order item info types

Lists the info type ids used in info property of order items.

Parameters

  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: Array of IdValue


GET /order/1.1/GetInvoice

Get an invoice

Returns an Invoice by internal id. Returns null if the Invoice does not exist.

Parameters

  • id (query)
    • The internal id of the invoice.
    • Type: integer
  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: Invoice


GET /order/1.1/GetInvoiceByNo

Get invoice by invoice number

Returns an Invoice by external invoice number. Returns null if the Invoice does not exist.

Parameters

  • invoiceNo (query)
    • The external invoice number of the invoice.
    • Type: string
  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: Invoice


GET /order/1.1/ListInvoices

List invoices

Returns a paged invoice list for a specified orderId, customer or company.

Parameters

  • orderId (query)
    • The internal order id for which invoices are fetched. Either this or a customerId, companyId must be specified.
    • Type: string
  • companyId (query)
    • The internal company id for which invoices are fetched. Either this or a customerId, orderId must be specified.
    • Type: string
  • customerId (query)
    • The internal customer id for which invoices are fetched. Either this or a companyId, orderId must be specified.
    • Type: string
  • fromDate (query)
    • (Optional) A from date used to filter the invoices. Format: yyyy-mm-ddThh:mm:ss.nnn[z], example 2024-08-01T12:59:59.000Z
    • Type: string
  • toDate (query)
    • (Optional) A to date used to filter the invoices. Format: yyyy-mm-ddThh:mm:ss.nnn[z], example 2024-08-01T12:59:59.000Z
    • Type: string
  • pageNo (query)
    • (Optional) Page numbers start with 1. Default is 1. If you specify a pageNo outside the range of items, an empty list will be returned. PageSize is mandatory for pageNo to work.
    • Type: string
  • pageSize (query)
    • (Optional) Number of items to display per page. Mandatory if using pageNo.
    • Type: string
  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: InvoicePagedList


GET /order/1.1/ListInvoicesByBasket

List invoices by basket

Returns a paged invoice list for specified basket internal id

Parameters

  • basketId (query)
    • The basket internal id for which invoices are fetched.
    • Type: integer
  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: InvoicePagedList


GET /order/1.1/GetOrderByNo

Get order by external order number

Returns an Order by external order number. Return null if the Order does not exist.

Parameters

  • orderno (query)
    • The external order number.
    • Type: string
  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: Order


GET /order/1.1/GetOrderByBasket

Get order by basket

Returns an Order by basket internal id. Returns null if the order does not exist.

Parameters

  • basketId (query)
    • The basket internal id.
    • Type: integer
  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: Order


GET /order/1.1/ListOrders3

List orders (v3)

Returns a paged order list. Note that this method returns another entity that ListOrders2. This is a more light weight version. Either of companyId, customerId, divisionCode, fromDate or toDate must be specified.

Parameters

  • companyId (query)
    • The internal company id for which orders are fetched.
    • Type: string
  • customerId (query)
    • The internal customer id for which orders are fetched.
    • Type: string
  • statusSeed (query)
    • (Optional) A comma separated string of status ids to filter the orders.
    • Type: string
  • source (query)
    • (Optional) The source of the order as set when created. Used to filter the orders. Usually hardcoded in the web application to WEB.
    • Type: string
  • fromDate (query)
    • A from date used to filter orders. Format: yyyy-mm-ddThh:mm:ss.nnn[z], example 2024-08-01T12:59:59.000Z
    • Type: string
  • toDate (query)
    • A to date used to filter orders. Format: yyyy-mm-ddThh:mm:ss.nnn[z], example 2024-08-01T12:59:59.000Z
    • Type: string
  • pageNo (query)
    • (Optional) Page numbers start with 1. Default is 1. If you specify a pageNo outside the range of items, an empty list will be returned. PageSize is mandatory for pageNo to work.
    • Type: string
  • pageSize (query)
    • (Optional) Number of orders to display per page.
    • Type: string
  • divisionCode (query)
    • The external division code for which orders are fetched.
    • Type: string
  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: OrderPagedList2


GET /order/1.1/ListOrdersByEmail

List order by e-mail address

Returns a paged order list. Note that this method returns another entity that ListOrders2. This is a more light weight version. EmailSeed must be specified.

Parameters

  • emailSeed (query)
    • A comma separated list of emails for which orders are fetched.
    • Type: string
  • statusSeed (query)
    • (Optional) A comma separated string of status ids to filter the orders.
    • Type: string
  • source (query)
    • (Optional) The source of the order as set when created. Used to filter the orders. Usually hardcoded in the web application to WEB.
    • Type: string
  • fromDate (query)
    • (Optional) A from date used to filter orders. Format: yyyy-mm-ddThh:mm:ss.nnn[z], example 2024-08-01T12:59:59.000Z
    • Type: string
  • toDate (query)
    • (Optional) A to date used to filter orders. Format: yyyy-mm-ddThh:mm:ss.nnn[z], example 2024-08-01T12:59:59.000Z
    • Type: string
  • pageNo (query)
    • (Optional) Page numbers start with 1. Default is 1. If you specify a pageNo outside the range of items, an empty list will be returned. PageSize is mandatory for pageNo to work.
    • Type: string
  • pageSize (query)
    • (Optional) Number of orders to display per page.
    • Type: string
  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: OrderPagedList2


GET /order/1.1/SearchOrder

Search for order

Search for Orders by TrackingId, DeliveryNote or OrderNo.

Parameters

  • search (query)
    • Tracking id, delivery note number or external order number.
    • Type: string
  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: Order


GET /order/1.1/ListOrderStatuses

List order statuses

Lists the available order statuses.

Parameters

  • cultureCode (query)
    • (Optional) Specifies in which language to display culture specific information. If none is supplied, value is resolved from Application.
    • Type: string

Responses

200

Success

Content-Type: application/json

Schema: Array of IdNameDescription


Schemas

CustomerData

Information about the Customers in the Order namespace. It has information about Customer, any Company and addresses.

Properties

  • Company
  • Customer
  • Address
  • DropPointCode (string)
    • The external drop point code, if any. Only set for drop points.

DeliveryNote

Information about a DeliveryNote. DeliveryNotes are not created though the API and must be imported to Norce through Norce Connect API.

Properties

  • Id (integer)
    • The internal Id of the DeliveryNote.
  • NoteNo (string)
    • The external number of the DeliveryNote. Usually a number from the ERP system. MaxLength: 50
  • DeliveryDate (string)
    • The delivery date of the DeliveryNote.
  • NoteText (string)
    • Free text field of the DeliveryNote. MaxLength: 255
  • DeliveryMode (string)
    • The delivery mode of the items for the DeliveryNote. MaxLength: 50
  • OrderNo (string)
    • The external order number of the Order related to the DeliveryNote. This usually comes from an ERP. MaxLength: 50
  • OrderDate (string)
    • The order date of the Order related to the DeliveryNote.
  • Culture (string)
    • The culture code of the DeliveryNote. This is the culture code used when asking for DeliveryNotes, not the original. MaxLength: 16
  • YourReference (string)
    • Not used. MaxLength: 255
  • SellTo
  • BillTo
  • ShipTo
  • SmsNotificationNumber (string)
    • Not used. MaxLength: 50
  • Items (array) - Array of DeliveryNoteItem
    • The items delivered.
  • Packages (array) - Array of DeliveryNotePackage
    • Package information for the DeliveryNote.
  • DivisionCode (string)
    • The external store code for the delivering Store. MaxLength: 50
  • Status (string)
    • The status text of the DeliveryNote. See ListOrderStatuses for information about available statuses. MaxLength: 50
  • Info (array) - Array of Info
    • A list of infos used to keep application specific data on the deliveryNote.

DeliveryNoteItem

Information about the items on a DeliveryNote.

Properties

  • Id (integer)
    • The internal id of the DeliveryNoteItem.
  • RowNumber (number)
    • The row number of the DeliveryNoteItem.
  • ItemNo (string)
    • The PartNo of the DeliveryNoteItem. MaxLength: 50
  • ItemDescription (string)
    • The name of the DeliveryNoteItem. MaxLength: 255
  • QtyOrdered (number)
    • The 1uantity ordered. This is the total quantity ordered.
  • QtyDelivered (number)
    • The quantity delivered. This is the quantity delivered on this DeliverNoteItem.
  • QtyBackordered (number)
    • The quantity not delivered. This is the quantity still missing on this DeliverNoteItem.
  • Comment (string)
    • Free text comment on the DeliverNoteItem. MaxLength: 255
  • TrackingCodes (array) - Array of Tracking
    • The external tracking code of the DeliveryNoteItem.
  • Status (string)
    • The status text of the DeliveryNoteItem. See ListOrderStatuses for information about available statuses. MaxLength: 50

DeliveryNotePackage

Information about each package associated with a DeliveryNote.

Properties

  • Id (integer)
    • The internal id of the DeliveryNotePackage.
  • ParcelNumber (string)
    • The external parcel number of the DeliveryNotePackage from the Speditor. Used to track parcels online.
  • Status (string)
    • The status text of the DeliveryNotePackage. See ListOrderStatuses for information about available statuses.

IdNameDescription

Properties

  • Id (integer)
    • The internal Id of the Entity.
  • Name (string)
    • The Name of the Entity.
  • Description (string)
    • The Description of the Entity.
  • ImageKey (string)
    • A unique id for the image at our image server. Url for images are formed like http://[client specific CDN]/{ImageKey}. Preset, height and width can be sent as parameters.
  • Code (string)
    • The Code of the Entity.

IdValue

An Entity used where Id and Value is needed. Mostly used for lookup data.

Properties

  • Id (integer)
    • The internal Id of the Entity. This Id might be different in different tiers such as Stage and Production. Use Code if hard coding is required.
  • Value (string)
    • The Value of the Entity.
  • Code (string)
    • The Code of the Entity, if existing. Use this value when hard coding is required.

Info

Information carrier entity. It is used on Orders, DeliveryNotes and Invoices. When setting up InfoTypes on Order use the same Code for Order/OrderItem as for Basket/BasketItem if you want them to be mapped. When creating orders, info-fields will be transferred from basket to order when there is a map with the same code.

Properties

  • Code (string)
    • The external code of the Info.
  • Name (string)
    • The name of the Info.
  • Description (string)
    • The description of the Info.
  • Value (string)
    • The value of the Info.

Invoice

Information about an Invoice. Invoices are not created through the API and must be imported to Norce through Norce Connect API.

Properties

  • Id (integer)
    • The internal id of the Invoice.
  • InvoiceNo (string)
    • The external invoice number of the Invoice. Usually a number from the ERP system. MaxLength: 50
  • InvoiceDate (string)
    • The invoice date of the Invoice.
  • InvoiceDueDate (string)
    • The invoice due date of the Invoice.
  • InvoiceText (string)
    • InvoiceText is taken from InvoiceMark in Norce. MaxLength: 255
  • OrderId (integer)
    • The internal id of the Order related to the Invoice.
  • OrderNo (string)
    • The external order number of the Order related to the Invoice. The order number usually comes from an ERP. MaxLength: 50
  • OrderDate (string)
    • The order date of the Order related to the Invoice.
  • Source (string)
    • The Source of the Invoice. 'WEB' is used for all invoices created through Norce. MaxLength: 255
  • DeliveryDate (string)
    • The delivery date of the DeliveryNote related to the Invoice.
  • DeliveryMethod (string)
    • The delivery method of the Order. MaxLength: 50
  • PaymentMethod (string)
    • The payment method of the Order. MaxLength: 50
  • BillTo
  • OrderFreight (number)
    • The total amount for freight on the Invoice.
  • InvoiceCharge (number)
    • The total amount for invoice charge on the Invoice.
  • InvoiceAmountExVat (number)
    • The total amount invoiced ex VAT.
  • VatAmount (number)
    • The total VAT amount invoiced.
  • Items (array) - Array of InvoiceItem
    • The invoiced items.
  • Info (array) - Array of Info
    • A list of infos used to keep application specific data on the invoice. Not used for credit invoices.
  • InvoiceNoPsp (string)
    • The invoice number from the PSP. This is only used when the PSP issues invoices. MaxLength: 50
  • CreditedInvoiceNo (string)
    • The credited invoice number. This is only used for credit invoices and this is the number of the original invoice being credited. MaxLength: 50
  • IsDebit (boolean)
    • Indicates if this is a debit invoice (true) or a credit invoice (false).
  • GroupByKey (string)
    • GroupByKey can be used to group invoices. All individual invoices on one summary invoice will have this set to the same value. Normal non-summary invoices will have this value set to null. MaxLength: 50
  • Comment (string)
    • Free text comment on the Invoice. MaxLength: 250
  • InvoiceAmountIncVat (number)
    • The total amount invoiced inc VAT.

InvoiceItem

Information about each item on an Invoice.

Properties

  • RowNumber (number)
    • The row number of the item.
  • ItemNo (string)
    • The PartNo of the item. MaxLength: 50
  • ItemDescription (string)
    • The mame of the item. MaxLength: 255
  • Quantity (number)
    • The quantity invoiced. This is the quantity invoiced on this InvoiceItem.
  • UnitPrice (number)
    • The unit price of the item, excluding VAT.
  • UnitDiscount (number)
    • The unit discount of the item, excluding VAT.
  • RowAmount (number)
    • The total amount of the item, excluding VAT.
  • RowAmountVat (number)
    • The total VAT of the item.
  • DeliveryDate (string)
    • The delivery date of the item.
  • VatRate (number)
    • A rate to multiply with price to get price inc VAT. 25% VAT equals a VatRate of 1.25.
  • UnitPriceIncVat (number)
    • The unit price of the item, including VAT.

InvoiceListItem

Information about an Invoice used in lists. This is a more light weight representation of the Invoice than the Invoice entity.

Properties

  • Id (integer)
    • The internal id of the Invoice.
  • InvoiceNo (string)
    • The external invoice number of the Invoice. Usually from an ERP system.
  • InvoiceDate (string)
    • The invoice date of the Invoice.
  • InvoiceDueDate (string)
    • The invoice due date of the Invoice.
  • InvoiceText (string)
    • InvoiceText is taken from InvoiceMark in Norce.
  • OrderNo (string)
    • The ERP order number of the Order related to the Invoice.
  • OrderDate (string)
    • The order date of the Order related to the Invoice.
  • Source (string)
    • The source of the Invoice. 'WEB' is used for all invoices created through Norce.
  • DeliveryDate (string)
    • The delivery date of the Order.
  • DeliveryMethod (string)
    • The delivery method of the Order.
  • PaymentMethod (string)
    • The payment method of the Order.
  • BillTo
  • InvoiceAmountExVat (number)
    • The total amount invoiced excluding VAT.
  • VatAmount (number)
    • The total VAT amount invoiced.
  • InvoiceNoPsp (string)
    • The invoice number from the PSP. This is only used when the PSP issues invoices.
  • IsDebit (boolean)
    • Indicates if this is a debit invoice (true) or a credit invoice (false).
  • GroupByKey (string)
    • GroupByKey can be used to group invoices. All individual invoices on one summary invoice will have this set to the same value. Normal non-summary invoices will have this value set to null.
  • InvoiceAmountIncVat (number)
    • The total amount invoiced including VAT.

InvoicePagedList

Invoices in a paged list format. The Items property contains all current invoices, depending on paging, and the ItemCount the total number of invoices.

Properties

  • ItemCount (integer)
    • The total number of invoices. Can be used to manage paging. Use PageSize to calculate number of pages.
  • Items (array) - Array of InvoiceListItem
    • Current list of invoices for the current page if paging is used. Otherwise all invoices will be in the list.

Order

Information about an Order.

Properties

  • Id (integer)
    • The internal id of the Order in Norce.
  • QuotationId (integer)
    • The internal id of the quotation/basket used to create the Order.
  • OrderNo (string)
    • The external order number of the Order, usually from an ERP. MaxLength: 50
  • OrderDate (string)
    • The order date of the Order.
  • Status (string)
    • The status text of the Order. See ListOrderStatuses for information about available statuses. MaxLength: 50
  • Source (string)
    • The source of the Order. 'WEB' is used for all orders created through Norce. MaxLength: 255
  • Currency (string)
    • The currency code of the Order. MaxLength: 3
  • Items (array) - Array of OrderItem
    • The items on the Order.
  • SellTo
  • BillTo
  • ShipTo
  • OrderTotalIncVat (number)
    • The total amount on the Order including VAT.
  • OrderTotalExVat (number)
    • The total amount on the Order excluding VAT.
  • PaymentMethod (string)
    • The payment method of the Order. MaxLength: 50
  • DeliveryMethod (string)
    • The delivery method of the Order. MaxLength: 50
  • DeliveryNotes (array) - Array of DeliveryNote
    • The delivery notes of the Order.
  • Info (array) - Array of Info
    • A list of infos used to keep application specific data on the order.
  • TypeId (integer)
    • The type of the order. 1 for normal sales order and 3 for orders from subscriptions. 2 is reserved for purchase orders.
  • DeliveryMark (string)
    • The delivery mark of the Order. Gets it's value from the OrderReference field of the basket. MaxLength: 255
  • DropPoint

OrderAddress

Information about Addresses in the Order namespace.

Properties

  • Line1 (string)
    • The first address line of the Address.
  • Line2 (string)
    • The second address line of the Address.
  • CareOf (string)
    • The care of part of the Address.
  • City (string)
    • The city of the Address.
  • ZipCode (string)
    • The zipcode of the Address.
  • Country (string)
    • The name of the country of the Address.
  • CountryCode (string)
    • The code of the country of the Address.
  • Region (string)
    • The region of the Address.
  • ShippingPhoneNumber (string)
    • Phone number for shipping address. Only applicable in shipping addresses.
  • GlobalLocationNo (string)
    • The Global Location Number (GLN) is part of the GS1 systems of standards. It is a simple tool used to identify a location and can identify locations uniquely where required. This is only used for invoice addresses.

OrderCompany

Information about Companies in the Order namespace.

Properties

  • Id (integer)
    • The internal id of Company.
  • No (string)
    • The external code of Company. Usually from an ERP system.
  • Name (string)
    • The name of Company.
  • OrgNo (string)
    • The organizational number of Company.

OrderCustomer

Information about Customers in the Order namespace.

Properties

  • Id (integer)
    • The internal id of Customer.
  • No (string)
    • The external code of Customer. Usually from an ERP system.
  • FirstName (string)
    • The first name of Customer.
  • LastName (string)
    • The last name of Customer.
  • Ssn (string)
    • The social security number of Customer.
  • Email (string)
    • The e-mail of Customer.
  • Phone (string)
    • The phone number of Customer.
  • CellPhone (string)
    • The cell phone number of Customer.

OrderItem

Information about the Items on an Order.

Properties

  • RowNumber (number)
    • The row number of the OrderItem.
  • PartNo (string)
    • The PartNo of the OrderItem. MaxLength: 50
  • Name (string)
    • The name of the OrderItem. MaxLength: 255
  • QtyOrdered (number)
    • The quantity ordered. This is the total quantity ordered.
  • UnitPrice (number)
    • The unit price of the Item, excluding VAT.
  • UnitDiscount (number)
    • The unit discount of the Item, excluding VAT.
  • RowAmount (number)
    • The total amount of the Item, excluding VAT.
  • VatRate (number)
    • A rate to multiply with price to get price inc VAT. 25% VAT equals a VatRate of 1.25.
  • ImageKey (string)
    • A unique id for the image at our image server. Url for images are formed like http://[client specific CDN]/{ImageKey}. Preset, height and width can be sent as parameters.
  • Type (integer)
    • Sku type internal id for this order item.
  • Status (string)
    • The status text of the OrderItem. See ListOrderStatuses for information about available statuses. MaxLength: 50
  • Info (array) - Array of Info
    • A list of infos used to keep application specific data on the order item.
  • ParentRowNumber (number)
    • The parent row number of the OrderItem, if any.
  • PriceRecommended (number)
    • This is the recommended price of the item when the order was created.
  • PriceCatalog (number)
    • This is the catalog price of the item when the order was created.
  • PriceStandard (number)
    • This is the standard price of the item when the order was created.
  • UnitPriceIncVat (number)
    • The unit price of the item, including VAT.

OrderListItem

Information about an Order used in lists. This is a more light weight representation of the Order than the Order entity.

Properties

  • Id (integer)
    • The internal id of the Order in Norce.
  • QuotationId (integer)
    • The internal id of the quotation/basket used to create the Order.
  • OrderNo (string)
    • The order number of the Order, usually from an ERP.
  • OrderDate (string)
    • The order date of the Order.
  • Status (string)
    • The status text of the Order. See ListOrderStatuses for information about available statuses.
  • Source (string)
    • The source of the Order. 'WEB' is used for all orders created through Norce.
  • Currency (string)
    • The currency code of the Order.
  • SellTo
  • BillTo
  • ShipTo
  • OrderTotalIncVat (number)
    • The total amount on the Order including VAT.
  • OrderTotalExVat (number)
    • The total amount on the Order excluding VAT.
  • PaymentMethod (string)
    • The payment method of the Order.
  • DeliveryMethod (string)
    • The delivery method of the Order.
  • TypeId (integer)
    • The type of the order. 1 for normal sales order and 3 for orders from subscriptions. 2 is reserved for purchase orders.
  • DeliveryMark (string)
    • The delivery mark of the Order. Gets its value from the OrderReference field of the basket.
  • DropPoint
  • Items (array) - Array of OrderItem
    • The items on the Order.
  • Info (array) - Array of Info
    • A list of infos used to keep application specific data on the order.

OrderPagedList

Orders in a paged list format. The Items property contains all current orders, depending on paging, and the ItemCount the total number of orders.

Properties

  • ItemCount (integer)
    • The total number of orders. Can be used to manage paging. Use PageSize to calculate number of pages.
  • Items (array) - Array of Order
    • Current list of orders for the current page if paging is used. Otherwise all orders will be in the list.

OrderPagedList2

Orders in a paged list format. The Items property contains all current orders, depending on paging, and the ItemCount the total number of orders.

Properties

  • ItemCount (integer)
    • The total number of orders. Can be used to manage paging. Use PageSize to calculate number of pages.
  • Items (array) - Array of OrderListItem
    • Current list of orders for the current page if paging is used. Otherwise all orders will be in the list.

Tracking

Properties

  • Id (integer)
  • FreightForwarder (string)
  • TrackingCode (string)